MT4E E0001

From Eclipsepedia

Jump to: navigation, search

The repository contains (at least) two versions of groupId:artifactId: version 1 and version 2. Omitting both.

Reason

While creating a dependency management POM, MT4E found (at least) two versions of the same artifact.

There is no way for MT4E to know which version to prefer.

Solutions

  • If one of the artifacts is not really necessary (or it was added by accident), you can delete it
  • You ignore the warning and specify the version to use in the POM of your project (usually close to the place where you put the dependency to the dependency management POM)